Bug 458140 - seahorse-plugins - Plugins and utilities for encryption in GNOME
Summary: seahorse-plugins - Plugins and utilities for encryption in GNOME
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-06 17:01 UTC by Matthias Clasen
Modified: 2008-08-08 02:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-08 02:26:07 UTC
Type: ---
walters: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Matthias Clasen 2008-08-06 17:01:18 UTC
Spec: http://people.redhat.com/mclasen/seahorse-plugins.spec
SRPM: http://people.redhat.com/mclasen/seahorse-plugins-2.23.6-1.fc10.src.rpm

Description:
The plugins and utilities in this package integrate seahorse into
the GNOME desktop environment and allow users to perform operations
from applications like nautilus or gedit.

Comment 1 Colin Walters 2008-08-06 18:25:48 UTC
Doesn't build for me; seems to install an epiphany extension that's not in %files?

error: Installed (but unpackaged) file(s) found:
   /usr/lib64/epiphany/2.22/extensions/libseahorseextension.so
   /usr/lib64/epiphany/2.22/extensions/seahorse.ephy-extension

[+] source files match upstream
[+] package meets naming and versioning guidelines
[+] specfile is properly named, is cleanly written and uses macros consistently
[+] dist tag is present.
[+] build root is correct.
 (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) is the
recommended value, but not the only one)
[+] license field matches the actual license.
[+] license is open source-compatible.
[+] license text included in package.
[+] latest version is being packaged
[+] BuildRequires are proper
[+] %clean is present.
[] package builds in koji
[] package installs properly
[] rpmlint is silent.
[] owns the directories it creates.
[] doesn't own any directories it shouldn't.
[] no duplicates in %files.
[] file permissions are appropriate.
[] code, not content.
[+] No doc subpackage needed
[+] %doc exists

Comment 2 Colin Walters 2008-08-06 18:43:32 UTC
Hm, trying to build in koji I get this:

checking which gecko to use... 
./configure: line 22985: test: : integer expression expected
disabling epiphany plugin
./configure: line 22993: test: : integer expression expected
./configure: line 23001: test: : integer expression expected
./configure: line 23009: test: : integer expression expected
./configure: line 23028: test: : integer expression expected

Comment 3 Matthias Clasen 2008-08-06 18:51:46 UTC
Oh, sorry. I meant to investigate why it wouldn't build the ephy extension on my system, but forgot.

Comment 4 Matthias Clasen 2008-08-07 00:16:34 UTC
I've updated the spec and srpm to include the epiphany extension now.

Comment 5 Colin Walters 2008-08-07 18:08:54 UTC
Ok:

[+] package builds in koji
[+] package installs properly
[-] 1 trivial rpmlint warning about mixed spaces and tabs
  Doesn't matter.
[+] owns the directories it creates.
[+] doesn't own any directories it shouldn't.
[+] no duplicates in %files.
[+] file permissions are appropriate.

Looks good.

Comment 6 Matthias Clasen 2008-08-07 19:03:31 UTC
New Package CVS Request
=======================
Package Name: seahorse-plugins
Short Description: Plugins and utilities for encryption in GNOME
Owners: mclasen
Branches:
InitialCC:
Cvsextras Commits: yes

Comment 7 Kevin Fenzi 2008-08-07 20:57:44 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.